// app global css in SCSS form
$breakpoint-laptop: 1080px;
$breakpoint-tablet: 768px;
$breakpoint-mobile: 600px;
@import "./colors.scss";
@import "./fonts";
@import "./quasar.variables.scss";
@import "./overwrite";
html {
  scroll-behavior: smooth;
}
body {
  margin: 0;
  background-color: #ffff;
  font-family: "latoRegular";
  position: relative;
  padding: 0;
}

.bg-image {
  position: fixed;
  -webkit-transform: scaleX(-1);
  transform: scaleX(-1);
  z-index: -2;
  left: -10%;
  opacity: 0.1;
  bottom: -100px;
}



.carousel-container {
  margin-top: 5vh !important;
  margin-bottom: 3vh !important;
  border-radius: 25px;
  max-width: 1200px;
  width: 100%;
  margin: 0 auto;
}

.bg-upper-image {
  position: fixed;
  opacity: 0.1;
  top: 10%;
  right: -2vw;
  z-index: -2;
}

.body-container {
  max-width: 1000px;
  width: 100%;
  margin: 0 auto;
}

.carousel-content {
  position: relative;
  span {
    z-index: 1;
  }
  img {
    z-index: 0;
    position: absolute;
    -webkit-filter: drop-shadow(5px 5px 5px #222);
    filter: drop-shadow(5px 5px 5px #222);
  }
}

.carousel-content-1 {
  .title {
    max-width: 40vw;
  }
  background-color: #f5df2e;
  background-image: linear-gradient(315deg, #f5df2e 0%, #f07654 74%);

  img {
    right: 5vw;
  }
}

.bordered-radius {
  border-radius: 25px;
}

.border-color {
  border: 1px solid rgb(82, 82, 82)
}

.carousel-content-2 {
  background-color: #f39f86;
  background-image: linear-gradient(315deg, #f39f86 0%, #f9d976 74%);

  img {
    bottom: 10px;
    z-index: 0;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
  }
}

.carousel-content-3 {

  background-color: #fce043;
  background-image: linear-gradient(315deg, #fce043 0%, #fb7ba2 74%);

  img {
    left: 4vw;
  }
}

.high-stats-badge {
  position: absolute;
  top:-8%;
  right: 0;
}

@media(max-width: $breakpoint-laptop) {
  .carousel-container {
    border-radius: 0
  }
}



@media (max-width: $breakpoint-mobile) {
  .carousel-container {
    margin-top: 5vh !important;
    
    .carousel-content-1 {
      .title, img {
        position: absolute;
        bottom: 0;
        margin-left: auto;
        margin-right: auto;
        left: 0;
        right: 0;
      }
      img {
        opacity: 0.7
      }
      .title  {
        span {
          text-shadow: 3px 4px 8px #060000;

        }

        top: 10px;
        max-width: 100vw;
    
      }
    }

    .carousel-content-3 {
      .title {
        z-index: 1;
 
      }
      img {
        z-index: 0;
        opacity: 0.2;
      }
    }
  }

}



/* Works on Firefox */
* {
  scrollbar-width: thin;

  scrollbar-color: #626262;
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
    height: 8px;
  width: 8px;
}

*::-webkit-scrollbar-track {
    border-radius: 8px;
  background: #e2e1e1;
}

*::-webkit-scrollbar-thumb {

  background-color: #626262;
  border-radius: 5px;
}

